<div class="row">
  <div class="col-24">
    <div [formGroup]="form" class="form-row">
      <div class="form-group form-group-sm row col-24">
        <label class="col-form-label col-1 text-danger">H6:</label>
        <div class="col-3 pl-0 pl-lg-1">
          <input type="text" class="form-control form-control-sm" formControlName="h6" (keyup)="handleWhitespaces($event)" />
        </div>
        <label class="col-form-label col-1 text-danger">CCD:</label>
        <div class="col-3 pl-0 pl-lg-1">
          <dx-date-box type="date"
                       [acceptCustomValue]="false"
                       displayFormat="MM/dd/yyyy"
                       width="100%"
                       [useMaskBehavior]="true"
                       formControlName="ccd">
          </dx-date-box>
        </div>
        <div *ngIf="option?.isEnabled" class="col-2 text-center">
          <button class="btn btn-sm btn-primary px-2" type="button" (click)="lookup()"
                  [disabled]="((h6.value == null || h6.value == '') && (ccd.value == null || ccd.value == ''))">
            Lookup SiteID
          </button>
        </div>
        <div *ngIf="isSiteNoteVisible" class="form-group form-group-sm col-14">
          <span class="form-text text-danger font-weight-bold text-left bg-light">
            Changing the CCD after the event workflow is past the Published stage will cause data loss and invalidate this event.
            If a CCD change is required, please retract the event, perform the CCD change in M5 and then refresh the event before resubmitting.
          </span>
        </div>
      </div>
      <div class="form-group form-group-sm row col-24" *ngIf="showSiteId">
        <label class="col-form-label col-1">Site ID:</label>
        <div class="col-4 pl-0 pl-lg-1">
          <input type="text" class="form-control form-control-sm" style="background-color:LightGreen; font-weight: bold;" formControlName="siteIdAddress" readonly="readonly"/>
        </div>
      </div>
    </div>
  </div>  
</div>
<!--<div class="form-row" *ngIf="siteIdAddress != '' && isSubmitted">
  <div class="form-group form-group-sm row col-24 col-lg-12">
    <label class="col-form-label col-3">Site ID</label>
    <div class="col-21 pl-0 pl-lg-3">
      <span style="background-color:LightGreen;">
        <b>{{ siteIdAddress }}</b>
      </span>
    </div>
  </div>
</div>-->
<!--<div class="form-row">
  <div class="form-group form-group-sm row col-24 col-lg-12">
    <label class="col-form-label col-3">Site ID</label>
    <div class="col-21 pl-0 pl-lg-3">
      <input type="text" class="form-control form-control-sm" formControlName="siteIdAddress1" />
    </div>
  </div>
</div>-->
<div class="form-row" *ngIf="errorMessage != '' && isSubmitted">
  <div class="form-group form-group-sm row col-24 col-lg-12">
    <div class="col-24 pl-0 pl-lg-3">
      <span class="form-text text-danger">
        <!--Sorry no CPE Order data found for that H6 and CCD combination-->
        {{ errorMessage }}
      </span>
    </div>
  </div>
</div>
